Brivio API reference
Rewards

Active catalogue of your programme (scope: rewards:read)

GET
/rewards/catalog

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/rewards/catalog"
{  "data": [    {      "id": 0,      "key": "string",      "kind": "ai_credit",      "unitsCost": 0,      "credits": 0,      "perk": "string",      "available": true    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}